Skip to content

Create a Listing

API reference for /api/v2/listing/vehicle
API reference for /api/v1/listing/vehicle

Use the listing/vehicle endpoint to create or update a listing. Listings are identified for update by matching identificationDetails.stockNumber.

The V2 endpoint immediately returns a 202 Accepted with a transactionId that can be used to track the status.

POST /api/v2/listing/vehicle
Authorization: Bearer eyJh...usDM
Content-Type: application/json
{
"status": "available",
"branch": "christchurch",
"vehicleDetails": {
"make": "Toyota",
"model": "Corolla",
"year": 2026,
"transmission": "Automatic",
"fuelType": "Petrol",
"odometer": 85348
},
"identificationDetails": {
"stockNumber": "C2026"
}
}
POST /api/v1/listing/vehicle
Authorization: Bearer eyJh...usDM
Content-Type: application/json
{
"status": "available",
"branch": "christchurch",
"vehicleDetails": {
"make": "Toyota",
"model": "Corolla",
"year": 2026,
"transmission": "Automatic",
"fuelType": "Petrol",
"odometer": 85348
},
"identificationDetails": {
"stockNumber": "C2026"
}
}

Many fields in our database have values mapped to normalised values, for example make, model, bodyType, etc.

For example, "color": "Soul Red" and "color": "Abarth Red" are both mapped to "color": "Red".